# Interface methods for submodule: TemporalDataObject
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import DataObjectProxy as _DataObjectProxy


# Interface methods for class: TemporalDataObject
class TemporalDataObjectProxy(_DataObjectProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def GetTemporalUnit(self):
		""""""
		...

	def SetTemporalUnitToFrame(self) -> None:
		""""""
		...

	def SetTemporalUnitToRealTime(self) -> None:
		""""""
		...

	def SetTemporalUnitToFrameAndRealTime(self) -> None:
		""""""
		...

	def GetNumberOfBuffers(self) -> int:
		""""""
		...

	def SetNumberOfBuffers(self, num: int) -> None:
		""""""
		...

	def SetLargestPossibleTemporalRegion(self, region) -> None:
		""""""
		...

	def GetLargestPossibleTemporalRegion(self):
		""""""
		...

	def SetBufferedTemporalRegion(self, region) -> None:
		""""""
		...

	def GetBufferedTemporalRegion(self):
		""""""
		...

	def SetRequestedTemporalRegion(self, region) -> None:
		""""""
		...

	def GetRequestedTemporalRegion(self):
		""""""
		...

	def GetUnbufferedRequestedTemporalRegion(self):
		""""""
		...

	def SetRequestedRegionToLargestPossibleRegion(self) -> None:
		""""""
		...

	def RequestedRegionIsOutsideOfTheBufferedRegion(self) -> bool:
		""""""
		...

	def VerifyRequestedRegion(self) -> bool:
		""""""
		...

	def CopyInformation(self, arg0) -> None:
		""""""
		...

	def SetRequestedRegion(self, arg0) -> None:
		""""""
		...

	def Graft(self, arg0) -> None:
		""""""
		...

